#import "FlutterPluginCandyPlugin.h"

@implementation FlutterPluginCandyPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_plugin_candy"
            binaryMessenger:[registrar messenger]];
  FlutterPluginCandyPlugin* instance = [[FlutterPluginCandyPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"getBatteryLevel" isEqualToString:call.method]) {
    int batteryLevel = [self getBatteryLevel];
    result (@(batteryLevel));
  } else {
    result(FlutterMethodNotImplemented);
  }
}

- (int)getBatteryLevel{
    UIDevice *device = [UIDevice currentDevice];
    if (device.batteryState == UIDeviceBatteryStateUnknown) {
        return -1;
    }
    return (int)device.batteryLevel*100;
}

@end
